<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="cancelClick"
            type="android.view.View.OnClickListener" />

        <variable
            name="deleteClick"
            type="android.view.View.OnClickListener" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <View
            android:id="@+id/v_delete_bg"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_delete_clone_voice_dialog"
            app:layout_constraintBottom_toBottomOf="@+id/space_bottom"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/space1"
            app:layout_constraintWidth_percent="0.8333333333333333" />

        <Space
            android:id="@+id/space1"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:20"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="@string/dialog_delete_clone_voice_title"
            android:textColor="@color/colorPrimary"
            android:textSize="17sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="@+id/v_delete_bg"
            app:layout_constraintStart_toStartOf="@+id/v_delete_bg"
            app:layout_constraintTop_toBottomOf="@+id/space1"
            app:layout_constraintWidth_percent="0.75" />

        <TextView
            android:id="@+id/tv_content"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="@string/dialog_delete_clone_voice_content"
            android:textColor="#32333C"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="@+id/v_delete_bg"
            app:layout_constraintStart_toStartOf="@+id/v_delete_bg"
            app:layout_constraintTop_toBottomOf="@+id/tv_title"
            app:layout_constraintWidth_percent="0.7" />

        <Space
            android:id="@+id/space2"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:16"
            app:layout_constraintTop_toBottomOf="@+id/tv_content" />

        <TextView
            android:id="@+id/tv_cancel"
            expandTouchSize="@{15}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="12dp"
            android:gravity="center"
            android:onClick="@{cancelClick}"
            android:text="@string/dialog_delete_clone_voice_cancel"
            android:textColor="#A3A3A8"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/tv_delete"
            app:layout_constraintEnd_toStartOf="@+id/tv_delete"
            app:layout_constraintStart_toStartOf="@+id/tv_content"
            app:layout_constraintTop_toTopOf="@+id/tv_delete" />

        <TextView
            android:id="@+id/tv_delete"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:background="@drawable/bg_clone_voice_delete"
            android:gravity="center"
            android:onClick="@{deleteClick}"
            android:text="@string/dialog_delete_clone_voice_delete"
            android:textColor="@color/colorPrimary"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintDimensionRatio="120:36"
            app:layout_constraintEnd_toEndOf="@+id/tv_content"
            app:layout_constraintTop_toBottomOf="@+id/space2"
            app:layout_constraintWidth_percent="0.3333333333333333" />

        <Space
            android:id="@+id/space_bottom"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintDimensionRatio="360:20"
            app:layout_constraintTop_toBottomOf="@+id/tv_delete" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>